summarylogtreecommitdiffstats
path: root/kuro.sh
diff options
context:
space:
mode:
authorzxp198210052024-03-15 12:29:28 +0800
committerzxp198210052024-03-15 12:29:28 +0800
commit11bc67669810943518364dd6f9826a95b9bb79c0 (patch)
tree85642f687d21b21e4893d9732cd3992d543bf810 /kuro.sh
parentb48c3dd9c72facc82a86097cbfecd73394f7fc7f (diff)
downloadaur-kuro-git.tar.gz
fix errors
Diffstat (limited to 'kuro.sh')
-rw-r--r--kuro.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/kuro.sh b/kuro.sh
index f9ced1432cfc..7ddcaab8d734 100644
--- a/kuro.sh
+++ b/kuro.sh
@@ -1,14 +1,16 @@
-#!/bin/sh
+#!/bin/bash
set -e
_APPDIR="/usr/lib/@appname@"
_RUNNAME="${_APPDIR}/@runname@"
+_OPTIONS="@options@"
export PATH="${_APPDIR}:${PATH}"
export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
export ELECTRON_IS_DEV=0
+export ELECTRON_FORCE_IS_PACKAGED=true
export NODE_ENV=production
cd "${_APPDIR}"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" "$@" || exit $?
else
- exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" --no-sandbox "$@" || exit $?
fi \ No newline at end of file